package com.srs.routine.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.common.core.domain.AjaxResult;
import com.srs.routine.domain.RtClassMettingHeld;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * 辅导员班会Service接口
 *
 * @author LSD
 * @date 2025-03-02
 */
public interface IRtClassMettingHeldService extends IService<RtClassMettingHeld> {

    public AjaxResult fdyAdd( RtClassMettingHeld param);

    List<RtClassMettingHeld> listView(RtClassMettingHeld rtClassMettingHeld);

    /**
     * 查询辅导员班会
     *
     * @param cmhId 辅导员班会主键
     * @return 辅导员班会
     */
    public RtClassMettingHeld selectRtClassMettingHeldByCmhId(Long cmhId);

    /**
     * 查询辅导员班会列表
     *
     * @param rtClassMettingHeld 辅导员班会
     * @return 辅导员班会集合
     */
    List<RtClassMettingHeld> selectRtClassMettingHeldList(RtClassMettingHeld rtClassMettingHeld);

    /**
     * 新增辅导员班会
     *
     * @param rtClassMettingHeld 辅导员班会
     * @return 结果
     */
    int insertRtClassMettingHeld(RtClassMettingHeld rtClassMettingHeld);

    /**
     * 修改辅导员班会
     *
     * @param rtClassMettingHeld 辅导员班会
     * @return 结果
     */
    int updateRtClassMettingHeld(RtClassMettingHeld rtClassMettingHeld);

    /**
     * 批量删除辅导员班会
     *
     * @param cmhIds 需要删除的辅导员班会主键集合
     * @return 结果
     */
    int deleteRtClassMettingHeldByCmhIds(Long[] cmhIds);

    /**
     * 删除辅导员班会信息
     *
     * @param cmhId 辅导员班会主键
     * @return 结果
     */
    int deleteRtClassMettingHeldByCmhId(Long cmhId);
}
